Skip to main content
Connect your Dropbox account to use video files from Dropbox with Cloudglue APIs.

Adding the Dropbox Data Connector

  1. Navigate to the Data Connectors page in the Cloudglue app.
  2. Click the Dropbox data connector card. Dropbox data connector focused
  3. Follow the popup instructions to authorize Cloudglue access to your Dropbox account.
  4. Verify the connection by checking for the Connected indicator on the card.
Ready to set up your Dropbox data connector? Visit our app to get started.
Need help setting up your data connector? Contact our team directly for assistance with the setup process.

Using Dropbox with Cloudglue

We offer a couple of ways to use your Dropbox files with Cloudglue. We support Dropbox shareable links via our API. These are the links that you can share with others to give them access to a file or folder in your Dropbox account via Dropbox itself. Example:
https://www.dropbox.com/scl/fo/SOME_ID/SOME_OTHER_ID?rlkey=SOME_KEY&st=SOME_TIME&dl=0
curl --request POST \
  --url https://api.cloudglue.dev/v1/describe \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "url": "https://www.dropbox.com/scl/fo/SOME_ID/SOME_OTHER_ID?rlkey=SOME_KEY&st=SOME_TIME&dl=0",
  "enable_summary": true,
  "enable_speech": true,
  "enable_visual_scene_description": true,
  "enable_scene_text": true
}'

Option 2: Custom URI via API

To use Dropbox files via our API that Cloudglue has access to, you can use the dropbox:// prefix in your Cloudglue API requests. Example:
dropbox://<path>/<to>/<file>
curl --request POST \
  --url https://api.cloudglue.dev/v1/describe \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "url": "dropbox://<path>/<to>/<file>",
  "enable_summary": true,
  "enable_speech": true,
  "enable_visual_scene_description": true,
  "enable_scene_text": true
}'

UI Importing for Testing

Use the Cloudglue integration UI to quickly import Dropbox files for testing your endpoints. File Chooser To access this page, visit our app and click on Select Videos on the Dropbox connector. Quick Import Button

Managing Access

You maintain full control over your data access. Remove this data connector by doing any of the following:
  • Revoke access by deleting the Dropbox app from your Dropbox account.
  • Remove connection by revoking the connector on our website.
Once removed:
  • You cannot import new videos from Dropbox until you reconnect.
  • Any videos you previously imported will remain in Cloudglue. These can be viewed and deleted from File Management.

Security

Cloudglue uses the Dropbox app to access your files. This approach:
  • Maintains your control - You own and manage the app.
  • Follows Dropbox security patterns - Uses standard Dropbox app access.
  • Provides granular permissions - Only grants the minimum access needed.
  • Easy to revoke - Simply delete the app or modify permissions.